Subject: bug#13210: [PATCH] maint: cygwin build broken

From: Pádraig Brady <[email-masked]>
Date: Tue, 18 Dec 2012 03:14:23 +0000

On 12/18/2012 02:57 AM, Z. Majeed wrote:
> --- On Mon, 12/17/12, Pádraig Brady <[email-masked]> wrote:
>
>> From: Pádraig Brady <[email-masked]>
>> Subject: Re: bug#13210: [PATCH] maint: cygwin build broken
>> On 12/17/2012 11:50 AM, Z. Majeed
>> wrote:
>>> Building latest git source in a non-src directory on
>> cygwin win7 with gcc 4.5.3 is broken - a patch follows -
>>> doc/local.mk: doc subdir is not created in build dir -
>> I made it a prereq of doc/constants.texi
>>
>> That seems a little hacky, for what seems like an automake
>> bug.
>> Maybe this one is the culprit?
>> http://git.sv.gnu.org/gitweb/?p=automake.git;a=commit;h=v1.11-328-ge87c030
>> I use automake-1.11.6 and the coreutils configured min
>> version is 1.11.2.
>> Specifically I'm not impacted as I have this in Makefile:
>>
>> $(srcdir)/doc/version.texi:  $(srcdir)/doc/stamp-vti
>> $(srcdir)/doc/stamp-vti: doc/coreutils.texi
>> $(top_srcdir)/configure
>>          test -f doc/$(am__dirstamp) ||
>> $(MAKE) $(AM_MAKEFLAGS) doc/$(am__dirstamp)
>>          ...
>>
>> BTW, Steffano, how can I see what release the above commit
>> is included in? Only minor versions seem to be tagged?
>>
>> I dislike dependency creep so am open to a workaround
>> as long as we know what's going on.

 > You're probably right about the mkdir doc hack - I think I added it based on a similar rule for another subdir

Zartaj also mentioned to me he's using automake 1.12.5 and autoconf 2.69

thanks,
Pádraig.